public class UpdatePrometheusGlobalViewResponseBody
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
Integer |
code
The response code.
|
UpdatePrometheusGlobalViewResponseBody.UpdatePrometheusGlobalViewResponseBodyData |
data
The returned struct.
|
String |
message
The error message that is returned if the request failed.
|
String |
requestId
The ID of the request.
|
| 构造器和说明 |
|---|
UpdatePrometheusGlobalViewResponseBody() |
@NameInMap(value="Code") public Integer code
The response code. The status code 200 indicates that the request was successful.
example:200
@NameInMap(value="Data") public UpdatePrometheusGlobalViewResponseBody.UpdatePrometheusGlobalViewResponseBodyData data
The returned struct.
@NameInMap(value="Message") public String message
The error message that is returned if the request failed.
example:message
@NameInMap(value="RequestId") public String requestId
The ID of the request. You can use the ID to query logs and troubleshoot issues.
example:E9C9DA3D-10FE-472E-9EEF-2D0A3E41****
public static UpdatePrometheusGlobalViewResponseBody build(Map<String,?> map) throws Exception
Exceptionpublic UpdatePrometheusGlobalViewResponseBody setCode(Integer code)
public Integer getCode()
public UpdatePrometheusGlobalViewResponseBody setData(UpdatePrometheusGlobalViewResponseBody.UpdatePrometheusGlobalViewResponseBodyData data)
public UpdatePrometheusGlobalViewResponseBody.UpdatePrometheusGlobalViewResponseBodyData getData()
public UpdatePrometheusGlobalViewResponseBody setMessage(String message)
public String getMessage()
public UpdatePrometheusGlobalViewResponseBody setRequestId(String requestId)
public String getRequestId()
Copyright © 2024. All rights reserved.